<?php
/*
 * Plugin Name: Obox Mobile 2.0
 * Plugin URI: http://obox-design.com
 * Description: A framework which formats your site with a mobile theme for mobile devices.
 * Author: Obox Design
 * Version: 2.0.2
 * Author URI: http://www.obox-design.com
 */

define( "OBOXMOBILEID", "1750" );
define( "OBOXMOBILE_VER", "2.0.2" );
define( "WPPLUGINDIR", ABSPATH . "wp-content/plugins/" );
define( "OBOXMOBILEDIR", ABSPATH . "wp-content/plugins/obox-mobile-2/" );
define( "OBOXMOBILEURL", get_bloginfo( "wpurl" ) . "/wp-content/plugins/obox-mobile-2/" );

function mobile_2_setup() {

	if( function_exists( 'is_plugin_active' ) && is_plugin_active( WPPLUGINDIR.'obox-mobile/mobile.php' ) ){
		deactivate_plugins( WPPLUGINDIR.'obox-mobile/mobile.php' );
	} // if is_plugin_active obox-mobile

	if( get_option( 'obox-mobile' ) )
		return;

	include( OBOXMOBILEDIR . "admin/config/options.php" );
	include( OBOXMOBILEDIR . "admin/includes/save-functions.php" );

	mobile_setup_options();
	global $mobile_plugin_options;
	foreach ( $mobile_plugin_options AS $theme_option => $value ) {
		if ( function_exists( "mobile_reset_option" ) ) {
			mobile_reset_option( $theme_option );
		} // function exists
	} // for each theme option
} // mobile_setup

register_activation_hook( __FILE__, "mobile_2_setup" );

function mobile_2_includes() {

	$include_folders = array(
		"functions/",
		"woo-shortcodes/",
		"admin/config/"
	); // include_folders

	if( is_admin() ){
		$admin_folders = array(
				"admin/interface/",
				"admin/includes/"
			);
		$include_folders = array_merge($include_folders, $admin_folders);
	} // if is_admin

	include_once( "admin/load-includes.php" );
} // mobile_includes

add_action( "plugins_loaded", "mobile_2_includes" );

// OBOX Mobile
function mobile_2_init() {
	global $obox_mobile;

	$obox_mobile = new OBOX_Mobile();
	$obox_mobile->initiate();

	// Localization
	load_plugin_textdomain( "obox-mobile", FALSE, dirname( plugin_basename( __FILE__ ) ) . "/admin/lang/" );
} // begin_ocmx_mobile

add_action( "plugins_loaded", "mobile_2_init" );